Create a Note
curl --request POST \
--url https://public-api.stora.co/2025-09/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Note content",
"resource": {
"id": "con_1234567890abcdef"
},
"metadata": {
"external_id": "crm_12345",
"source": "api_import"
}
}
'import requests
url = "https://public-api.stora.co/2025-09/notes"
payload = {
"content": "Note content",
"resource": { "id": "con_1234567890abcdef" },
"metadata": {
"external_id": "crm_12345",
"source": "api_import"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Note content',
resource: {id: 'con_1234567890abcdef'},
metadata: {external_id: 'crm_12345', source: 'api_import'}
})
};
fetch('https://public-api.stora.co/2025-09/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"note": {
"id": "note_a1b2c3d4e5f67890",
"content": "Note content",
"created_at": "2025-02-22T14:41:00Z",
"creator": {
"id": "app_531844f4c4837d61"
},
"metadata": {
"external_id": "crm_12345",
"source": "api_import"
},
"resource": {
"id": "con_1234567890abcdef"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "invalid_content",
"details": [
{
"message": "object at root is missing required properties: content, resource",
"pointer": null
}
],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The request body content is not valid.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Notes
Create a Note
Create a new note.
Required authorization scope: public.note:write
POST
/
2025-09
/
notes
Create a Note
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Body
application/json
Create Note Request
The content of the note
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Set of key-value pairs for storing additional information on the note. Learn more about metadata.
Show child attributes
Show child attributes
Was this page helpful?
⌘I